// 地址相关
import { request } from "@/lib/service"

/**
 * @desc 收货地址列表接口
 * @param { Number } * 当前页码
 * @param { String }  关键字：联系人/联系方式搜索
 * @param { pagenum } pagenum  每页条数，默认10条/页
 */
export function addressList(params) {
	return request({
		url: 'zsxcx/addressXcx.htm',
		method: 'post',
		data: params
	})
}

/**
 * @desc 新增/编辑地址
 * @params {  } look docs
 */
export function editAddress(params) {
	return request({
		url: 'zsxcx/saveAddressXcx.htm',
		method: 'post',
		data: params,
		needMask: true
	})
}

/**
 * @desc 删除地址
 * @params { Number } address_id
 */
export function delAddress(address_id) {
	return request({
		url: 'zsxcx/delAddressXcx.htm',
		method: 'post',
		data: {
			address_id
		},
		needMask: true
	})
}
