import { searchGoods } from '@/apis/goods.js'
import { homeCategory } from '@/apis/category.js'

const searchParams = {
	sort: 1, // 1综合优先 2销量优先 3价格升序 4价格降序
	keywords: ''
}
/**
 * @desc 除几个推荐商品外，其他商品使用搜索接口综合（sort = 1, keywords=''）查询
 * searchList 是一个二维数组，插入下一页的时候不合并数组，只会插入数组
 * 进入页面不会请求这个函数，只会在第一次触底的时候发送第一次请求
 */
async function searchData () {
	try{
		const searchRes = await this.loadmore.getList(searchParams, searchGoods)
		if(searchRes.status) {
			if(!searchRes.data.length) return
			this.$set(this.searchList, this.searchList.length, searchRes.data)
		}
	}catch(e){
		console.log(e)
	}
}

async function getHomeCate() {
	try{
		const { status, data } = await homeCategory()
		if(status) {
			this.cate_data = data
			if(this.checkShowAll(data)) {
				this.searchData()
			}
		}
	}catch(e){
		console.log(e)
		//TODO handle the exception
	}
}
/**
 * @desc 检查是否需要加载全部商品（综合商品）;当有推荐的几个分类时，不加载这个综合商品
 * @param {Object} Obj （cate_data）
 */
function checkShowAll(Obj) {
	if(Obj === null) return true
	const keysArr = Object.keys(Obj)
	if(keysArr.length > 0 && keysArr.some(item => Obj[item] && Obj[item].length > 0)) {
		return false
	} else {
		return true
	}
}


export default {
	searchData,
	getHomeCate,
	checkShowAll
}