## 格利专属小程序(第三方服务)


#### 注意
+ 关于getStorage和setStorage
	- 不要用封装的getStorage单独通过uni.setStorage设置的本地存储

	```javascript
	// 封装的setStorage没有判断字符串，直接对字符串换为 JSON 字符串, getStorage拿出来的值是对应的基本数据类型(基本数据类型)
	el:
	const str1 = "1"
	const num = 1
	setStorage("str1", str1) ""1""
	getStorage("str1") // "1"
	
	setStorage(num) // "1"
	getStorage("num") // 1
	
	getStorage("str1") === getStorage("num") // false
	
	error:
	uni.setStorageSync("str2", str1) // "1"
	getStorage("str1") === getStorage("str2") // true
	```

+ 小程序和vue页面生命周期顺序
	- created => onLoad => onShow => mounted => onReady => onUnload => destroyed

+ 关于zIndex层级<font color="red">为防止层级规范</font>(问题不大)
	- 一般层级(普通层级，如展示一些普通信息) zIndex范围 1-98
	- 当前页面最高层级，如遮罩 zIndex 99
	- 仅次于小程序原生弹窗 zIndex 100

+ 小程序线上版本库2.16.0 （后端在授权开通服务的时候会设置）

+ APPID
	- wx537e892e36fbf79d // 这个线上的  貌似是省冷的
	- wxd170058f4ad8fecd // 开发用的

+ 接口的返回，所有的数据必须在data里面，这里已经封装好，代码在/lib/service/index.js(pc端是随意的)

+ 关于请求域名更改(一般情况下你无需手动修改，但有时候你想调试线上的问题时，你可以手动修改一下)
```javascript
// 文件在config/index.js
const env = {
    release: 'https://www.gelifood.com', // 正式版
    trial: 'https://www.gelifood.com', // 体验版 
    develop: 'https://d.gelifood.com' // 开发版
}

// 不考虑其他端小程序直接这样配置
// export const baseUrl = env[__wxConfig.envVersion]

// 因为这个是模板，用上面的方法配置域名意义不大
// 开发的时候默认是https://d.gelifood.com 线上打包域名默认是https://www.gelifood.com
export const baseUrl = process.env.NODE_ENV === 'development' ? env.develop : env.release

// 当你想在本地查看线上的问题可以这样操作
// ext.json
{
	"extEnable": true,
	"extAppid": "对应商户的appid",
	"ext": {
		"appid": "对应商户的appid"
	}
}
// 把上面变量的eve.delelop 改为 https://www.gelifood.com
```

+ 挂在vue prototype上的方法在utils/vue_extend.js


+ testA 是独立分包(目前是没有使用的)


#### 上线
+ 1.检查是否修改过config/index.js的域名配置
+ 2.如果没有修改过，hbuilderX点击发行，选小程序微信  打包完在微信开发者工具提交草稿   然后去开放平台提交草稿即可

#### warning
+ 2021/6/29，本日起的代码可能会引起不适，but all can run（效率和质量不会成正比关系）
+ 开发的时候直接再ext.json修改appid可以改变商户

#### unFinish, but not important
+ 详情有个深拷贝的问题。暂时通过JSON.stringify()处理
+ 所有的价格都是通过toFixed会可能出现精度问题。一般发现不了
+ 确认订单页面要跳到地址列表页面选择